## atdgen 1.2.0

=== Makefile ===
# $Id: Makefile 53195 2011-01-28 23:38:12Z martin $

VERSION = 1.2.0
  # "+dev" suffix means "still under development"

# Shared stuff
SOURCES_SHARED = \
  ag_version.ml \
  ag_error.ml \
  ag_mapping.ml \
  ag_doc_lexer.mll \
  ag_doc.mli ag_doc.ml \
  ag_ocaml.ml \
  ag_indent.ml \
  ag_ox_emit.ml

# Biniou/OCaml
SOURCES_BINIOU = \
  ag_biniou.ml \
  ag_xb_emit.ml \
  ag_ob_mapping.ml \
  ag_ob_spe.ml \
  ag_ob_emit.ml

# JSON/OCaml
SOURCES_JSON = \
  ag_string_match.mli ag_string_match.ml \
  ag_json.ml \
  ag_oj_mapping.ml \
  ag_oj_emit.ml

# OCaml validators
SOURCES_VALIDATE = \
  ag_validate.ml \
  ag_ov_mapping.ml \
  ag_ov_emit.ml

# OCaml runtime library
SOURCES_RUNTIME = \
  ag_ob_run.ml \
  ag_oj_run.ml \
  ag_ov_run.ml \
  ag_util.mli ag_util.ml

SOURCES = \
  $(SOURCES_SHARED) $(SOURCES_BINIOU) $(SOURCES_JSON) $(SOURCES_VALIDATE) \
  $(SOURCES_RUNTIME) 

DOCFILES = ag_doc ag_util
DOCSOURCES = $(addsuffix .mli, $(DOCFILES))


MLY = $(filter %.mly, $(SOURCES))
MLL = $(filter %.mll, $(SOURCES))
OCAMLLEX_ML = $(patsubst %.mll,%.ml, $(MLL))
OCAMLYACC_MLI = $(patsubst %.mly,%.mli, $(MLY))
OCAMLYACC_ML = $(patsubst %.mly,%.ml, $(MLY))

MLSOURCES = $(patsubst %.mll,%.ml, $(patsubst %.mly,%.ml, $(SOURCES)))
MLI = $(filter %.mli, $(MLSOURCES))
ML = $(filter %.ml, $(MLSOURCES))
CMI = $(patsubst %.ml,%.cmi, $(ML))
CMO = $(patsubst %.ml,%.cmo, $(ML))
CMX = $(patsubst %.ml,%.cmx, $(ML))
O = $(patsubst %.ml,%.o, $(ML))

OCAMLFLAGS = -dtypes -g
OCAMLPACKS = str atd biniou yojson

ifndef PREFIX
  PREFIX = $(shell dirname $$(dirname $$(which ocamlfind)))
  export PREFIX
endif

ifndef BINDIR
  BINDIR = $(PREFIX)/bin
  export BINDIR
endif

.PHONY: default
default: all opt

.PHONY: pp
pp: VERSION META $(OCAMLLEX_ML) $(OCAMLYACC_MLI) $(OCAMLYACC_ML)
	$(MAKE) dep

.PHONY: all opt
all: pp
	$(MAKE) atdgen.cma atdgen.run
opt: pp
	$(MAKE) atdgen.cmxa atdgen

install: META
	test ! -f atdgen.run || cp atdgen.run $(BINDIR)/
	test ! -f atdgen.run.exe || cp atdgen.run.exe $(BINDIR)/
	test ! -f atdgen || cp atdgen $(BINDIR)/
	test ! -f atdgen.exe || cp atdgen.exe $(BINDIR)/
	ocamlfind install atdgen META \
		$$(find $(MLI) $(CMI) $(CMO) $(CMX) $(O) \
			atdgen.cma atdgen.a atdgen.cmxa)

uninstall:
	test ! -f $(BINDIR)/atdgen.run || rm $(BINDIR)/atdgen.run
	test ! -f $(BINDIR)/atdgen.run.exe || rm $(BINDIR)/atdgen.run.exe 
	test ! -f $(BINDIR)/atdgen || rm $(BINDIR)/atdgen
	test ! -f $(BINDIR)/atdgen.exe || rm $(BINDIR)/atdgen.exe 
	ocamlfind remove atdgen


ag_version.ml: Makefile
	echo 'let version = "$(VERSION)"' > ag_version.ml

META: META.in Makefile
	echo 'version = "$(VERSION)"' > META
	cat META.in >> META

VERSION: Makefile
	echo $(VERSION) > VERSION

%.cmi: %.mli
	ocamlfind ocamlc $(OCAMLFLAGS) -c -package "$(OCAMLPACKS)" $<

%.cmi: %.ml
	ocamlfind ocamlc $(OCAMLFLAGS) -c -package "$(OCAMLPACKS)" $<

%.cmo: %.ml
	ocamlfind ocamlc $(OCAMLFLAGS) -c -package "$(OCAMLPACKS)" $<

%.cmx: %.ml
	ocamlfind ocamlopt $(OCAMLFLAGS) -c -package "$(OCAMLPACKS)" $<

ag_doc_lexer.ml: ag_doc_lexer.mll
	ocamllex $<

dep: $(SOURCES) Makefile
	ocamlfind ocamldep -package "$(OCAMLPACKS)" $(MLI) $(ML) > dep

ifneq ($(MAKECMDGOALS),clean)
-include dep
endif

atdgen.cma: dep $(CMI) $(CMO)
	ocamlfind ocamlc $(OCAMLFLAGS) -o atdgen.cma -a $(CMO)

atdgen.cmxa: dep $(CMI) $(CMX)
	ocamlfind ocamlopt $(OCAMLFLAGS) -o atdgen.cmxa -a $(CMX)

atdgen.run: dep $(CMI) $(CMO) ag_main.ml
	ocamlfind ocamlc $(OCAMLFLAGS) -o atdgen.run \
		-package "$(OCAMLPACKS)" -linkpkg \
		$(CMO) ag_main.ml

atdgen: dep $(CMI) $(CMX) ag_main.ml
	ocamlfind ocamlopt $(OCAMLFLAGS) -o atdgen \
		-package "$(OCAMLPACKS)" -linkpkg \
		$(CMX) ag_main.ml



.PHONY: doc
doc: odoc/index.html atdgen
	cd manual; $(MAKE)

odoc/index.html: $(CMI)
	mkdir -p odoc
	ocamlfind ocamldoc -d odoc -html \
		-t 'Atdgen library documentation' \
		-package "$(OCAMLPACKS)" $(DOCSOURCES)

# Some testing

.PHONY: test really-test
test: opt
	OCAMLPATH=..:$$OCAMLPATH $(MAKE) really-test

really-test:
	./atdgen test.atd
	./atdgen test2.atd
	./atdgen -json -extend Test \
	  -j-custom-fields \
 'fun loc s -> Printf.printf "Warning: skipping field %s (def: %s)\n" s loc' \
	  test.atd -o testj
	./atdgen -std-json -extend Test test.atd -o testjstd
	./atdgen -json -extend Test2 test2.atd -o test2j
	./atdgen test3b.atd
	./atdgen -json test3j.atd
	./atdgen test4.atd
	./atdgen -json test4.atd -o test4j
	./atdgen -validate -extend Test test.atd -o testv
	ocamlfind ocamlopt -c -g test_lib.ml
	ocamlfind ocamlc -c -g test.mli -package atdgen
	ocamlfind ocamlopt -c -g test.ml -package atdgen
	ocamlfind ocamlc -c -g test2.mli -package atdgen
	ocamlfind ocamlopt -c -g test2.ml -package atdgen
	ocamlfind ocamlc -c -g test3b.mli -package atdgen
	ocamlfind ocamlopt -c -g test3b.ml -package atdgen
	ocamlfind ocamlc -c -g test3j.mli -package atdgen
	ocamlfind ocamlopt -c -g test3j.ml -package atdgen
	ocamlfind ocamlc -c -g test4.mli -package atdgen
	ocamlfind ocamlopt -c -g test4.ml -package atdgen
	ocamlfind ocamlc -c -g testj.mli -package atdgen
	ocamlfind ocamlopt -c -g testj.ml -package atdgen
	ocamlfind ocamlc -c -g testjstd.mli -package atdgen
	ocamlfind ocamlopt -c -g testjstd.ml -package atdgen
	ocamlfind ocamlc -c -g test2j.mli -package atdgen
	ocamlfind ocamlopt -c -g test2j.ml -package atdgen
	ocamlfind ocamlc -c -g test4j.mli -package atdgen
	ocamlfind ocamlopt -c -g test4j.ml -package atdgen
	ocamlfind ocamlc -c -g testv.mli -package atdgen
	ocamlfind ocamlopt -c -g testv.ml -package atdgen
	ocamlfind ocamlopt -c -g test_atdgen_main.ml -package atdgen
	ocamlfind ocamlopt -o test_atdgen -g -linkpkg -package atdgen \
		test_lib.cmx test.cmx test2.cmx testj.cmx testjstd.cmx \
		test2j.cmx test3b.cmx test3j.cmx testv.cmx test_atdgen_main.cmx
	mkdir -p testdoc
	ocamlfind ocamldoc -html -d testdoc -package atdgen \
		test.mli test2.mli testj.mli test2j.mli test3b.mli \
		test3j.mli test4.mli test4j.mli testv.mli
	./test_atdgen


# Benchmarking and more testing

.PHONY: bench
bench: opt
# biniou
	./atdgen test.atd
	./atdgen -open Test test2.atd
	ocamlfind ocamlc -c -g test.mli -package atdgen
	ocamlfind ocamlopt -c -g test.ml -package atdgen
	ocamlfind ocamlc -c -g test2.mli -package atdgen
	ocamlfind ocamlopt -c -g test2.ml -package atdgen
# json
	./atdgen -json -std-json -o testj -open Test -ntd test.atd
	./atdgen -json -std-json -o test2j -open Test,Test2,Testj -ntd \
		test2.atd
	ocamlfind ocamlopt -c -g test_lib.ml
	ocamlfind ocamlc -c -g testj.mli -package atdgen
	ocamlfind ocamlopt -c -g testj.ml -package atdgen
	ocamlfind ocamlc -c -g test2j.mli -package atdgen
	ocamlfind ocamlopt -c -g test2j.ml -package atdgen
# comparison
	ocamlfind ocamlopt -c -g -syntax camlp4o \
		-package json-static,atdgen,unix \
		benchmark.ml
	ocamlfind ocamlopt -o benchmark -g \
		test_lib.cmx test.cmx test2.cmx testj.cmx test2j.cmx \
		benchmark.cmx \
		-package atdgen,unix,json-wheel -linkpkg


.PHONY: clean
clean:
	rm -f *.o *.a *.cm* *~ *.annot \
		dep atdgen atdgen.run \
		benchmark test_atdgen \
		gmon.out ocamlprof.dump \
		test.bin test-2.bin test.json test-2.json \
		test-std.json test-json-files.json test-json-streams.json \
		test.ml test.mli testj.ml testj.mli \
		test2.ml test2.mli test2j.ml test2j.mli \
                test3b.mli test3b.ml \
		test3j.mli test3j.ml \
		test4.mli test4.ml test4j.mli test4j.ml \
		ag_doc_lexer.ml
	rm -rf odoc testdoc
	cd manual && $(MAKE) clean


.PHONY: release
release:
	./release.sh

=== debian/changelog ===
atdgen (1.2.0-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Jul 2011 21:05:14 +0200

atdgen (1.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #605671)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 05 Dec 2010 00:57:42 +0100

## atdgen 1.2.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,4 @@
-# $Id: Makefile 53195 2011-01-28 23:38:12Z martin $
-
-VERSION = 1.2.0
-  # "+dev" suffix means "still under development"
+VERSION = 1.2.2
 
 # Shared stuff
 SOURCES_SHARED = \
@@ -223,6 +220,7 @@
 
 .PHONY: bench
 bench: opt
+	ocamlfind ocamlopt -c -g test_lib.ml -package atdgen
 # biniou
 	./atdgen test.atd
 	./atdgen -open Test test2.atd

=== manual/Makefile ===
# `make pdf' requires pdflatex and builds readme.pdf
# `make txt' requires hevea and builds readme.txt
# `make html' requires hevea and builds readme.html

TEXFILES = atd-annot.tex atdgen-manual.tex atdgen-body.tex

.PHONY: all pdf txt html clean

all: pdf txt html
pdf: atdgen-manual.pdf
txt: atdgen-manual.txt
html: atdgen-manual.html

atdgen-manual.tex: ../ag_version.ml atdgen-manual.mlx
	OCAMLPATH=../..:$$OCAMLPATH \
		camlmix atdgen-manual.mlx -o atdgen-manual.tex

atdgen-body.tex: ../ag_version.ml macros.ml atdgen-body.mlx
	OCAMLPATH=../..:$$OCAMLPATH \
		camlmix atdgen-body.mlx -o atdgen-body.tex

atdgen-manual.txt: $(TEXFILES)
	rm -f *.aux
	hevea -fix -text atdgen-manual
	iconv -f ISO_8859-1 -t UTF-8 < atdgen-manual.txt > ../README

atdgen-manual.html: $(TEXFILES)
	rm -f *.aux
	hevea -fix atdgen-manual
	sed -i '/<\/STYLE>/ r hevea-insert1.html' atdgen-manual.html
	sed -i '/<BODY *>/ r hevea-insert2.html' atdgen-manual.html
	sed -i 's/<\/BLOCKQUOTE><\/BODY>/<\/BLOCKQUOTE><!--END-->\n<\/BODY>/' \
		atdgen-manual.html
	sed -i '/<!--END-->/ r hevea-insert3.html' atdgen-manual.html

atdgen-manual.pdf: $(TEXFILES)
	pdflatex atdgen-manual
	pdflatex atdgen-manual
	pdflatex atdgen-manual

clean:
	rm -f *.aux *.toc *.log *.out *.haux *.htoc *.fls \
		atdgen-body.tex atdgen-manual.tex atdgen-manual.pdf \
		atdgen-manual.txt atdgen-manual.html \
		*.mlx.ml

=== debian/changelog ===
atdgen (1.2.2-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - fixed JSON whitespace bugs (Closes: #639234)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Nov 2011 15:06:48 +0100

=== debian/control ===
Source: atdgen
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  menhir,
  libeasy-format-ocaml-dev,
  cppo,
  libbiniou-ocaml-dev (>= 1.0.0),
  libyojson-ocaml-dev (>= 1.0.0),
  libatd-ocaml-dev (>= 1.0.0)
Standards-Version: 3.9.2
Homepage: http://oss.wink.com/atdgen/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/atdgen.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/atdgen.git

Package: libatdgen-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: code generator for biniou and JSON serialization in OCaml
 Atdgen is a command-line program that takes as input type definitions in
 the ATD syntax and produces OCaml code suitable for data serialization
 and deserialization. Two data formats are currently supported, these are
 biniou and JSON.

Package: libatdgen-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: code generator for biniou and JSON serialization in OCaml
 Atdgen is a command-line program that takes as input type definitions in
 the ATD syntax and produces OCaml code suitable for data serialization
 and deserialization. Two data formats are currently supported, these are
 biniou and JSON.
 .
 This package contains the shared runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE)
else
	$(MAKE) all
endif 

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	mkdir -p '$(DESTDIR)/usr/bin'
	make install 'BINDIR=$(DESTDIR)/usr/bin'
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(RM) '$(DESTDIR)/usr/bin/atdgen.run'
else
	mv '$(DESTDIR)/usr/bin/atdgen.run' '$(DESTDIR)/usr/bin/atdgen'
endif 

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_test
override_dh_auto_test:
	true

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean

debian/atdgen.1: debian/atdgen.mkd
	pandoc -s -w man $^ -o $@

=== debian/watch ===
version=3
http://oss.wink.com/atdgen/ atdgen-([\d\.]*)\.tar\.gz

## atdgen 1.2.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,9 @@
-VERSION = 1.2.2
+VERSION = 1.2.5
+ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
+EXE=.exe
+else
+EXE=
+endif
 
 # Shared stuff
 SOURCES_SHARED = \
@@ -41,7 +46,7 @@
 
 SOURCES = \
   $(SOURCES_SHARED) $(SOURCES_BINIOU) $(SOURCES_JSON) $(SOURCES_VALIDATE) \
-  $(SOURCES_RUNTIME) 
+  $(SOURCES_RUNTIME)
 
 DOCFILES = ag_doc ag_util
 DOCSOURCES = $(addsuffix .mli, $(DOCFILES))
@@ -81,7 +86,7 @@
 pp: VERSION META $(OCAMLLEX_ML) $(OCAMLYACC_MLI) $(OCAMLYACC_ML)
 	$(MAKE) dep
 
-.PHONY: all opt
+.PHONY: all opt install uninstall reinstall
 all: pp
 	$(MAKE) atdgen.cma atdgen.run
 opt: pp
@@ -93,16 +98,19 @@
 	test ! -f atdgen || cp atdgen $(BINDIR)/
 	test ! -f atdgen.exe || cp atdgen.exe $(BINDIR)/
 	ocamlfind install atdgen META \
-		$$(find $(MLI) $(CMI) $(CMO) $(CMX) $(O) \
-			atdgen.cma atdgen.a atdgen.cmxa)
+		 $(MLI) $(CMI) $(CMO) $(CMX) $(O) \
+			atdgen.cma atdgen.a atdgen.cmxa
 
 uninstall:
 	test ! -f $(BINDIR)/atdgen.run || rm $(BINDIR)/atdgen.run
-	test ! -f $(BINDIR)/atdgen.run.exe || rm $(BINDIR)/atdgen.run.exe 
+	test ! -f $(BINDIR)/atdgen.run.exe || rm $(BINDIR)/atdgen.run.exe
 	test ! -f $(BINDIR)/atdgen || rm $(BINDIR)/atdgen
-	test ! -f $(BINDIR)/atdgen.exe || rm $(BINDIR)/atdgen.exe 
+	test ! -f $(BINDIR)/atdgen.exe || rm $(BINDIR)/atdgen.exe
 	ocamlfind remove atdgen
 
+reinstall:
+	$(MAKE) uninstall || :
+	$(MAKE) install
 
 ag_version.ml: Makefile
 	echo 'let version = "$(VERSION)"' > ag_version.ml
@@ -147,15 +155,15 @@
 		-package "$(OCAMLPACKS)" -linkpkg \
 		$(CMO) ag_main.ml
 
-atdgen: dep $(CMI) $(CMX) ag_main.ml
-	ocamlfind ocamlopt $(OCAMLFLAGS) -o atdgen \
+atdgen$(EXE): dep $(CMI) $(CMX) ag_main.ml
+	ocamlfind ocamlopt $(OCAMLFLAGS) -o atdgen$(EXE) \
 		-package "$(OCAMLPACKS)" -linkpkg \
 		$(CMX) ag_main.ml
 
 
 
 .PHONY: doc
-doc: odoc/index.html atdgen
+doc: odoc/index.html atdgen$(EXE)
 	cd manual; $(MAKE)
 
 odoc/index.html: $(CMI)
@@ -206,7 +214,7 @@
 	ocamlfind ocamlc -c -g testv.mli -package atdgen
 	ocamlfind ocamlopt -c -g testv.ml -package atdgen
 	ocamlfind ocamlopt -c -g test_atdgen_main.ml -package atdgen
-	ocamlfind ocamlopt -o test_atdgen -g -linkpkg -package atdgen \
+	ocamlfind ocamlopt -o test_atdgen$(EXE) -g -linkpkg -package atdgen \
 		test_lib.cmx test.cmx test2.cmx testj.cmx testjstd.cmx \
 		test2j.cmx test3b.cmx test3j.cmx testv.cmx test_atdgen_main.cmx
 	mkdir -p testdoc
@@ -250,7 +258,7 @@
 .PHONY: clean
 clean:
 	rm -f *.o *.a *.cm* *~ *.annot \
-		dep atdgen atdgen.run \
+		dep atdgen$(EXE) atdgen.run \
 		benchmark test_atdgen \
 		gmon.out ocamlprof.dump \
 		test.bin test-2.bin test.json test-2.json \
@@ -263,8 +271,3 @@
 		ag_doc_lexer.ml
 	rm -rf odoc testdoc
 	cd manual && $(MAKE) clean
-
-
-.PHONY: release
-release:
-	./release.sh

=== debian/changelog ===
atdgen (1.2.5-1build1) saucy; urgency=low

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Jul 2013 01:23:28 +0100

atdgen (1.2.5-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * fix watch file
  * new upstream version (Closes: #711524)
  * bump debhelper compat level and standards version
  * add myself as uploader
  * update homepage, Vcs fields, package description and dependencies
  * update copyright
  * adapt rules and other packaging files
  * delete old patch
  * add new patch for installing ml files and byte-compiling the test
  * install api doc in /usr/share/doc/..../api/html
  * enable tests
  * update man page

 -- Hendrik Tews <hendrik@askra.de>  Sat, 15 Jun 2013 14:41:24 +0200

=== debian/control ===
Source: atdgen
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hendrik Tews <hendrik@askra.de>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-best-compilers,
  ocaml-findlib,
  libfindlib-ocaml-dev,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9),
  menhir,
  libeasy-format-ocaml-dev,
  cppo,
  camlmix,
  libcaml2html-ocaml-dev,
  libbiniou-ocaml-dev (>= 1.0.6),
  libyojson-ocaml-dev,
  libatd-ocaml-dev (>= 1.0.0),
  hevea,
  texlive-latex-extra
Standards-Version: 3.9.4
Homepage: http://mjambon.com/atdgen
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/atdgen.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/atdgen.git

Package: libatdgen-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml code generator for biniou and JSON - executable and dev files
 Atdgen is a command-line program that takes as input type definitions in
 the ATD syntax and produces OCaml code suitable for data serialization
 and deserialization. Two data formats are currently supported, these are
 biniou and JSON.
 .
 This package contains the adtgen executable and the files necessary
 for programming with the library.

Package: libatdgen-ocaml
Architecture: any
Depends: 
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml code generator for biniou and JSON - plugins
 Atdgen is a command-line program that takes as input type definitions in
 the ATD syntax and produces OCaml code suitable for data serialization
 and deserialization. Two data formats are currently supported, these are
 biniou and JSON.
 .
 This package contains the shared runtime libraries (plugin).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE)
	rm atdgen.run
else
	$(MAKE) all
	mv atdgen.run atdgen
endif 
	$(MAKE) doc
	mkdir api
	mv odoc api/html


.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	make install 'BINDIR=$(DESTDIR)/usr/bin'


.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing


.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) OCAMLOPT=ocamlopt LIBATDGEN=atdgen.cmxa OBJEXT=cmx test
else
	$(MAKE) OCAMLOPT=ocamlc LIBATDGEN=atdgen.cma OBJEXT=cmo test
endif 


# override this to prevent dh_auto_clean to try make distclean, 
# which creates atd_version.ml
.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean

## atdgen 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,14 @@
-VERSION = 1.2.5
+VERSION = 1.3.1
 ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
 EXE=.exe
 else
 EXE=
+endif
+
+NATDYNLINK := $(shell if [ -f `ocamlc -where`/dynlink.cmxa ]; then echo YES; else echo NO; fi)
+
+ifeq "${NATDYNLINK}" "YES"
+CMXS=atdgen.cmxs
 endif
 
 # Shared stuff
@@ -90,7 +96,7 @@
 all: pp
 	$(MAKE) atdgen.cma atdgen.run
 opt: pp
-	$(MAKE) atdgen.cmxa atdgen
+	$(MAKE) atdgen.cmxa $(CMXS) atdgen
 
 install: META
 	test ! -f atdgen.run || cp atdgen.run $(BINDIR)/
@@ -98,7 +104,7 @@
 	test ! -f atdgen || cp atdgen $(BINDIR)/
 	test ! -f atdgen.exe || cp atdgen.exe $(BINDIR)/
 	ocamlfind install atdgen META \
-		 $(MLI) $(CMI) $(CMO) $(CMX) $(O) \
+		 $(MLI) $(CMI) $(CMO) $(CMX) $(CMXS) $(O) \
 			atdgen.cma atdgen.a atdgen.cmxa
 
 uninstall:
@@ -149,6 +155,9 @@
 
 atdgen.cmxa: dep $(CMI) $(CMX)
 	ocamlfind ocamlopt $(OCAMLFLAGS) -o atdgen.cmxa -a $(CMX)
+
+atdgen.cmxs: dep $(CMI) $(CMX)
+	ocamlfind ocamlopt $(OCAMLFLAGS) -shared -o $(CMXS) $(CMX)
 
 atdgen.run: dep $(CMI) $(CMO) ag_main.ml
 	ocamlfind ocamlc $(OCAMLFLAGS) -o atdgen.run \
@@ -192,6 +201,13 @@
 	./atdgen test4.atd
 	./atdgen -json test4.atd -o test4j
 	./atdgen -validate -extend Test test.atd -o testv
+	./atdgen -o-name-overlap -t test5.atd
+	./atdgen -o-name-overlap -j test5.atd
+	./atdgen -o-name-overlap -b test5.atd
+	ocamlfind ocamlc -c -package atdgen \
+		test5_t.mli test5_t.ml test5_j.mli test5_j.ml
+	ocamlfind ocamlc -c -package atdgen \
+		test5_t.mli test5_t.ml test5_b.mli test5_b.ml
 	ocamlfind ocamlopt -c -g test_lib.ml
 	ocamlfind ocamlc -c -g test.mli -package atdgen
 	ocamlfind ocamlopt -c -g test.ml -package atdgen

=== manual/Makefile ===
--- 
+++ 
@@ -22,7 +22,9 @@
 atdgen-manual.txt: $(TEXFILES)
 	rm -f *.aux
 	hevea -fix -text atdgen-manual
-	iconv -f ISO_8859-1 -t UTF-8 < atdgen-manual.txt > ../README
+	mv atdgen-manual.txt atdgen-manual.txt.iso88591
+	iconv -f ISO_8859-1 -t UTF-8 \
+	  < atdgen-manual.txt.iso88591 > ../atdgen-manual.txt
 
 atdgen-manual.html: $(TEXFILES)
 	rm -f *.aux

=== debian/changelog ===
atdgen (1.3.1-1build2) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 05 Nov 2015 15:40:14 -0600

atdgen (1.3.1-1build1) utopic; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 07 Sep 2014 13:13:56 +0100

atdgen (1.3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Sat, 01 Feb 2014 19:56:25 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
   libatd-ocaml-dev (>= 1.0.0),
   hevea,
   texlive-latex-extra
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mjambon.com/atdgen
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/atdgen.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/atdgen.git

=== debian/rules ===
--- 
+++ 
@@ -45,11 +45,6 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
-ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
-	$(MAKE) OCAMLOPT=ocamlopt LIBATDGEN=atdgen.cmxa OBJEXT=cmx test
-else
-	$(MAKE) OCAMLOPT=ocamlc LIBATDGEN=atdgen.cma OBJEXT=cmo test
-endif 
 
 
 # override this to prevent dh_auto_clean to try make distclean,

=== debian/watch ===
version=3
http://mjambon.com/releases/atdgen \
.*/atdgen/atdgen[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## atdgen 1.9.1

=== Makefile ===
ifndef PREFIX
  PREFIX = $(shell dirname $$(dirname $$(which ocamlfind)))
  export PREFIX
endif

ifndef BINDIR
  BINDIR = $(PREFIX)/bin
  export BINDIR
endif

.PHONY: default test all opt install uninstall reinstall clean
default:
	$(MAKE) -C src

all:
	$(MAKE) -C src all
opt:
	$(MAKE) -C src opt

.PHONY: findlib-install findlib-uninstall
findlib-install:
	$(MAKE) -C src findlib-install

findlib-uninstall:
	$(MAKE) -C src findlib-uninstall

.PHONY: exe-install exe-uninstall
exe-install:
	$(MAKE) -C src exe-install
	$(MAKE) -C atdgen-cppo exe-install

exe-uninstall:
	$(MAKE) -C src exe-uninstall
	$(MAKE) -C atdgen-cppo exe-uninstall

install:
	$(MAKE) -C src install
	$(MAKE) -C atdgen-cppo install

uninstall:
	$(MAKE) -C src uninstall
	$(MAKE) -C atdgen-cppo uninstall

reinstall:
	$(MAKE) -C src reinstall
	$(MAKE) -C atdgen-cppo reinstall

test:
	$(MAKE) -C test

test-all:
	$(MAKE) -C test test-all

clean:
	rm -f *~ util/*~ example/*~
	$(MAKE) -C src clean
	$(MAKE) -C test clean
	$(MAKE) -C atdgen-cppo clean

=== atdgen-cppo/Makefile ===
ifndef PREFIX
  PREFIX = $(shell dirname $$(dirname $$(which ocamlfind)))
  export PREFIX
endif

ifndef BINDIR
  BINDIR = $(PREFIX)/bin
  export BINDIR
endif

.PHONY: default demo clean install uninstall reinstall
.PHONY: exe-install exe-uninstall

default: demo

demo:
	@echo "--- Demo ---"
	ocamlfind opt -o example \
          -pp cppo-json \
          -package atdgen -linkpkg \
          example.ml
	./example

exe-install:
	cp atdgen-cppo cppo-json "$(BINDIR)"

exe-uninstall:
	rm -f "$(BINDIR)"/atdgen-cppo "$(BINDIR)"/cppo-json

install: exe-install
uninstall: exe-uninstall

reinstall:
	$(MAKE) uninstall BINDIR="$(BINDIR)"
	$(MAKE) install BINDIR="$(BINDIR)"

clean:
	rm -f *.cm[iox] *.o *~ example

=== src/Makefile ===
VERSION = 1.9.1
ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
EXE=.exe
else
EXE=
endif

NATDYNLINK := $(shell if [ -f `ocamlc -where`/dynlink.cmxa ]; then \
                        echo YES; \
                      else \
                        echo NO; \
                      fi)

ifeq "${NATDYNLINK}" "YES"
CMXS=atdgen.cmxs
endif

# Shared stuff
SOURCES_SHARED = \
  ag_version.ml \
  ag_error.ml \
  ag_mapping.ml \
  ag_doc_lexer.mll \
  ag_doc.mli ag_doc.ml \
  ag_ocaml.ml \
  ag_indent.ml \
  ag_ox_emit.ml

# Biniou/OCaml
SOURCES_BINIOU = \
  ag_biniou.ml \
  ag_xb_emit.ml \
  ag_ob_mapping.ml \
  ag_ob_spe.ml \
  ag_ob_emit.ml

# JSON/OCaml
SOURCES_JSON = \
  ag_string_match.mli ag_string_match.ml \
  ag_json.ml \
  ag_oj_mapping.ml \
  ag_oj_emit.ml

# OCaml validators
SOURCES_VALIDATE = \
  ag_validate.ml \
  ag_ov_mapping.ml \
  ag_ov_emit.ml

# OCaml runtime library
SOURCES_RUNTIME = \
  ag_ob_run.ml \
  ag_oj_run.ml \
  ag_ov_run.ml \
  ag_util.mli ag_util.ml

SOURCES = \
  $(SOURCES_SHARED) $(SOURCES_BINIOU) $(SOURCES_JSON) $(SOURCES_VALIDATE) \
  $(SOURCES_RUNTIME)

DOCFILES = ag_doc ag_util
DOCSOURCES = $(addsuffix .mli, $(DOCFILES))


MLY = $(filter %.mly, $(SOURCES))
MLL = $(filter %.mll, $(SOURCES))
OCAMLLEX_ML = $(patsubst %.mll,%.ml, $(MLL))
OCAMLYACC_MLI = $(patsubst %.mly,%.mli, $(MLY))
OCAMLYACC_ML = $(patsubst %.mly,%.ml, $(MLY))

MLSOURCES = $(patsubst %.mll,%.ml, $(patsubst %.mly,%.ml, $(SOURCES)))
MLI = $(filter %.mli, $(MLSOURCES))
ML = $(filter %.ml, $(MLSOURCES))
CMI = $(patsubst %.ml,%.cmi, $(ML))
CMO = $(patsubst %.ml,%.cmo, $(ML))
CMX = $(patsubst %.ml,%.cmx, $(ML))
O = $(patsubst %.ml,%.o, $(ML))

OCAMLFLAGS = -dtypes -g
OCAMLPACKS = str atd biniou yojson

ifndef PREFIX
  PREFIX = $(shell dirname $$(dirname $$(which ocamlfind)))
  export PREFIX
endif

ifndef BINDIR
  BINDIR = $(PREFIX)/bin
  export BINDIR
endif

.PHONY: default
default: all opt

.PHONY: pp
pp: VERSION META $(OCAMLLEX_ML) $(OCAMLYACC_MLI) $(OCAMLYACC_ML)
	$(MAKE) dep

.PHONY: all opt
all: pp
	$(MAKE) atdgen.cma atdgen.run
opt: pp
	$(MAKE) atdgen.cmxa $(CMXS) atdgen$(EXE)

.PHONY: exe-install exe-uninstall
exe-install:
	test ! -f atdgen.run || cp atdgen.run $(BINDIR)/
	test ! -f atdgen.run.exe || cp atdgen.run.exe $(BINDIR)/
	test ! -f atdgen || cp atdgen $(BINDIR)/
	test ! -f atdgen.exe || cp atdgen.exe $(BINDIR)/

exe-uninstall:
	test ! -f $(BINDIR)/atdgen.run || rm $(BINDIR)/atdgen.run
	test ! -f $(BINDIR)/atdgen.run.exe || rm $(BINDIR)/atdgen.run.exe
	test ! -f $(BINDIR)/atdgen || rm $(BINDIR)/atdgen
	test ! -f $(BINDIR)/atdgen.exe || rm $(BINDIR)/atdgen.exe

.PHONY: findlib-install findlib-uninstall
findlib-uninstall:
	ocamlfind remove atdgen

findlib-install: META
	ocamlfind install atdgen META \
		 $(MLI) $(CMI) $(CMO) $(CMX) $(CMXS) $(O) \
			atdgen.cma atdgen.a atdgen.cmxa

.PHONY: install uninstall reinstall
uninstall: findlib-uninstall exe-uninstall

install: findlib-install exe-install

reinstall:
	$(MAKE) uninstall || :
	$(MAKE) install

ag_version.ml: Makefile
	echo 'let version = "$(VERSION)"' > ag_version.ml

META: META.in Makefile
	echo 'version = "$(VERSION)"' > META
	cat META.in >> META

VERSION: Makefile
	echo $(VERSION) > VERSION

%.cmi: %.mli
	ocamlfind ocamlc $(OCAMLFLAGS) -c -package "$(OCAMLPACKS)" $<

%.cmi: %.ml
	ocamlfind ocamlc $(OCAMLFLAGS) -c -package "$(OCAMLPACKS)" $<

%.cmo: %.ml
	ocamlfind ocamlc $(OCAMLFLAGS) -c -package "$(OCAMLPACKS)" $<

%.cmx: %.ml
	ocamlfind ocamlopt $(OCAMLFLAGS) -c -package "$(OCAMLPACKS)" $<

ag_doc_lexer.ml: ag_doc_lexer.mll
	ocamllex $<

dep: $(SOURCES) Makefile
	ocamlfind ocamldep -package "$(OCAMLPACKS)" $(MLI) $(ML) > dep

ifneq ($(MAKECMDGOALS),clean)
-include dep
endif

atdgen.cma: dep $(CMI) $(CMO)
	ocamlfind ocamlc $(OCAMLFLAGS) -o atdgen.cma -a $(CMO)

atdgen.cmxa: dep $(CMI) $(CMX)
	ocamlfind ocamlopt $(OCAMLFLAGS) -o atdgen.cmxa -a $(CMX)

atdgen.cmxs: dep $(CMI) $(CMX)
	ocamlfind ocamlopt $(OCAMLFLAGS) -shared -o $(CMXS) $(CMX)

atdgen.run: dep $(CMI) $(CMO) ag_main.ml
	ocamlfind ocamlc $(OCAMLFLAGS) -o atdgen.run \
		-package "$(OCAMLPACKS)" -linkpkg \
		$(CMO) ag_main.ml

atdgen$(EXE): dep $(CMI) $(CMX) ag_main.ml
	ocamlfind ocamlopt $(OCAMLFLAGS) -o atdgen$(EXE) \
		-package "$(OCAMLPACKS)" -linkpkg \
		$(CMX) ag_main.ml

.PHONY: clean
clean:
	rm -f *.o *.a *.cm* *~ *.annot \
          dep atdgen atdgen.exe atdgen.run \
          ag_doc_lexer.ml ag_version.ml META VERSION

=== test/Makefile ===
.PHONY: default test really-test
default: test

ifeq "$(shell ocamlc -config | grep os_type)" "os_type: Win32"
  EXE=.exe
else
  EXE=
endif

ATDGEN = ../src/atdgen$(EXE)

test:
	$(MAKE) -C ../src
	OCAMLPATH=..:$$OCAMLPATH $(MAKE) really-test

really-test:
	$(ATDGEN) test.atd
	$(ATDGEN) test2.atd
	$(ATDGEN) -json -extend Test \
	  -j-custom-fields \
 'fun loc s -> Printf.printf "Warning: skipping field %s (def: %s)\n" s loc' \
	  test.atd -o testj
	$(ATDGEN) -std-json -extend Test test.atd -o testjstd
	$(ATDGEN) -json -extend Test2 test2.atd -o test2j
	$(ATDGEN) -t test3j.atd
	$(ATDGEN) -j -j-std -j-strict-constrs test3j.atd
	$(ATDGEN) test4.atd
	$(ATDGEN) -json test4.atd -o test4j
	$(ATDGEN) -validate -extend Test test.atd -o testv
	$(ATDGEN) -o-name-overlap -t test5.atd
	$(ATDGEN) -o-name-overlap -j test5.atd
	$(ATDGEN) -o-name-overlap -b test5.atd
	$(ATDGEN) -t test_type_conv.atd -type-conv sexp -open "Sexplib.Std"
	ocamlfind ocamlc -c -package atdgen \
		test5_t.mli test5_t.ml test5_j.mli test5_j.ml
	ocamlfind ocamlc -c -package atdgen \
		test5_t.mli test5_t.ml test5_b.mli test5_b.ml
	ocamlfind ocamlopt -c -g test_lib.ml
	ocamlfind ocamlc -c -g test.mli -package atdgen
	ocamlfind ocamlopt -c -g test.ml -package atdgen
	ocamlfind ocamlc -c -g test2.mli -package atdgen
	ocamlfind ocamlopt -c -g test2.ml -package atdgen
	ocamlfind ocamlc -c -g test3j_t.mli test3j_j.mli -package atdgen
	ocamlfind ocamlopt -c -g test3j_t.ml test3j_j.ml -package atdgen
	ocamlfind ocamlc -c -g test4.mli -package atdgen
	ocamlfind ocamlopt -c -g test4.ml -package atdgen
	ocamlfind ocamlc -c -g testj.mli -package atdgen
	ocamlfind ocamlopt -c -g testj.ml -package atdgen
	ocamlfind ocamlc -c -g testjstd.mli -package atdgen
	ocamlfind ocamlopt -c -g testjstd.ml -package atdgen
	ocamlfind ocamlc -c -g test2j.mli -package atdgen
	ocamlfind ocamlopt -c -g test2j.ml -package atdgen
	ocamlfind ocamlc -c -g test4j.mli -package atdgen
	ocamlfind ocamlopt -c -g test4j.ml -package atdgen
	ocamlfind ocamlc -c -g testv.mli -package atdgen
	ocamlfind ocamlopt -c -g testv.ml -package atdgen
	ocamlfind ocamlopt -c -g test_atdgen_main.ml -package atdgen
	ocamlfind ocamlopt -o test_atdgen$(EXE) -g -linkpkg -package atdgen \
		test_lib.cmx test.cmx test2.cmx testj.cmx testjstd.cmx \
		test2j.cmx test3j_t.cmx test3j_j.cmx \
		testv.cmx test_atdgen_main.cmx
	mkdir -p testdoc
	ocamlfind ocamldoc -html -d testdoc -package atdgen \
		test.mli test2.mli testj.mli test2j.mli \
		test3j_t.mli test4.mli test4j.mli testv.mli
	./test_atdgen

.PHONY: test-all
test-all: really-test
	ocamlfind ocamlc -c -g -syntax camlp4o -package camlp4 \
	  -package sexplib -package sexplib.syntax \
	  test_type_conv_t.mli
	ocamlfind ocamlopt -c -g -syntax camlp4o -package camlp4 \
	  -package sexplib -package sexplib.syntax \
	  test_type_conv_t.ml
	ocamlfind ocamlopt -c -g test_atdgen_type_conv.ml -package atdgen -package sexplib
	ocamlfind ocamlopt -o test_atdgen_type_conv$(EXE) -g -linkpkg \
	  -syntax camlp4o -package camlp4 \
	  -package sexplib -package sexplib.syntax \
	  test_type_conv_t.cmx test_atdgen_type_conv.cmx
	./test_atdgen_type_conv

# Benchmarking and more testing

.PHONY: bench
bench: opt
	ocamlfind ocamlopt -c -g test_lib.ml -package atdgen
# biniou
	$(ATDGEN) test.atd
	$(ATDGEN) -open Test test2.atd
	ocamlfind ocamlc -c -g test.mli -package atdgen
	ocamlfind ocamlopt -c -g test.ml -package atdgen
	ocamlfind ocamlc -c -g test2.mli -package atdgen
	ocamlfind ocamlopt -c -g test2.ml -package atdgen
# json
	$(ATDGEN) -json -std-json -o testj -open Test -ntd test.atd
	$(ATDGEN) -json -std-json -o test2j -open Test,Test2,Testj -ntd \
		test2.atd
	ocamlfind ocamlopt -c -g test_lib.ml
	ocamlfind ocamlc -c -g testj.mli -package atdgen
	ocamlfind ocamlopt -c -g testj.ml -package atdgen
	ocamlfind ocamlc -c -g test2j.mli -package atdgen
	ocamlfind ocamlopt -c -g test2j.ml -package atdgen
# comparison
	ocamlfind ocamlopt -c -g -syntax camlp4o \
		-package json-static,atdgen,unix \
		benchmark.ml
	ocamlfind ocamlopt -o benchmark -g \
		test_lib.cmx test.cmx test2.cmx testj.cmx test2j.cmx \
		benchmark.cmx \
		-package atdgen,unix,json-wheel -linkpkg


.PHONY: clean
clean:
	rm -f *.o *.a *.cm* *~ *.annot \
		benchmark test_atdgen \
		gmon.out ocamlprof.dump \
		test.bin test-2.bin test.json test-2.json \
		test-std.json test-json-files.json test-json-streams.json \
		test.ml test.mli testj.ml testj.mli \
		test2.ml test2.mli test2j.ml test2j.mli \
		test3j.mli test3j.ml \
		test4.mli test4.ml test4j.mli test4j.ml \
		test5_b.mli test5_b.ml test5_j.mli test5_j.ml \
		test5_t.mli test5_t.ml testjstd.ml testjstd.mli \
		testv.ml testv.mli
	rm -rf testdoc

=== debian/changelog ===
atdgen (1.9.1-2build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 17:05:59 +0200

atdgen (1.9.1-2build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 14:39:11 +0100

atdgen (1.9.1-2) unstable; urgency=medium

  * Team upload.
  * Add symlink from /usr/bin/atdgen to atdgen.run on architectures without
    ocamlopt (closes: #837804)

 -- Johannes Schauer <josch@debian.org>  Thu, 15 Sep 2016 22:52:42 +0200

atdgen (1.9.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.8
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 04 Aug 2016 11:35:49 +0200

atdgen (1.7.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.6
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Jan 2016 11:11:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: atdgen
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
   ocaml-nox (>= 3.11.1-3~),
@@ -17,13 +18,11 @@
   libcaml2html-ocaml-dev,
   libbiniou-ocaml-dev (>= 1.0.6),
   libyojson-ocaml-dev,
-  libatd-ocaml-dev (>= 1.0.0),
-  hevea,
-  texlive-latex-extra
-Standards-Version: 3.9.5
+  libatd-ocaml-dev (>= 1.0.0)
+Standards-Version: 3.9.8
 Homepage: http://mjambon.com/atdgen
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/atdgen.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/atdgen.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/atdgen.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/atdgen.git
 
 Package: libatdgen-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,14 +21,9 @@
 override_dh_auto_build:
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
 	$(MAKE)
-	rm atdgen.run
 else
 	$(MAKE) all
-	mv atdgen.run atdgen
-endif 
-	$(MAKE) doc
-	mkdir api
-	mv odoc api/html
+endif
 
 
 .PHONY: override_dh_auto_install
@@ -36,6 +31,7 @@
 	mkdir -p '$(DESTDIR)/usr/bin'
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
 	make install 'BINDIR=$(DESTDIR)/usr/bin'
+	test -f $(DESTDIR)/usr/bin/atdgen || ln -s atdgen.run $(DESTDIR)/usr/bin/atdgen
 
 
 .PHONY: override_dh_install

=== debian/watch ===
version=3
https://github.com/mjambon/atdgen/tags .*/v(.*)\.tar\.gz
